# MOSIP Pre Registration Client

## Introduction

MOSIP is Modular Open Source Identity Platform, read and learn more about it in the extensive [documentation](https://github.com/mosip-open/Documentation). The ***seed contribution to MOSIP is still work in progress***, consider this repo as an early preview for now. Today, we aim to give the community a sense of early direction with this preview. 

The issue list is open, but we will not act upon the issues till a formal release is behind us.

The Pre-Registration Client here is a reference implementation, written as a guide for implementors and help them build a UI that is relevant to their locale and configuration.

Pre-Registration Client is a web front end that relies on [Pre-Registration Services](https://github.com/mosip-open/mosip-prereg-services). The system designed to reach out to population at large and help ID seekers find and book a convenient appointment at a nearby registration center.

## Pre-Registration Client
Start with [functional requirement specification](https://github.com/mosip-open/Documentation/wiki/FRS-Pre-Registration) and follow on to the design of [Pre-Registration services](https://github.com/mosip-open/mosip-prereg-services) 

To get a complete running client and backend, follow the instructions in [Getting Started UI](Getting-started-ui.md) guide.


